Draft: Clone

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Clone and the translation is 9% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft PointArray.svg Point Array
Next: Drawing Draft Drawing.svg Arrow-right.svg

Draft Clone.svg Draft Clone

Menu location
Draft → Clone
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
Draft Scale

Descriere

Acest instrument produce o clonă (o copie legată parametric de obiectul original) a unui obiect selectat. Dacă obiectul original se modifică, clona se schimbă și ea, dar își păstrează poziția, rotația și scala.

The Clone tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create simple copies, that are completely independent from an original object, use Draft Move, Draft Rotate, and Draft Scale. To position copies in an orthogonal array use Draft Array; to position copies along a path use Draft PathArray; to position copies at specified points use Draft PointArray.

Draft Clone example.jpg

Draft Clone example.jpg

Cum se folosește

  1. Selectați obiectele pe care doriți să le clonați
  2. Apăsați butonul Draft Clone.png Draft Clone

Depending on its options, the Draft Scale.svg Draft Scale tool also creates a clone at a specified scale.

Clones of 2D objects created with the Draft or Sketcher Workbenches will also be 2D objects, and therefore can be used as such for the PartDesign Workbench.

All Arch Workbench objects have the possibility to behave as clones by using their DATACloneOf property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.

Limitations

Currently, Sketcher Sketches cannot be mapped to the faces of a clone.

Opțiuni

  • Clonele obiectelor 2D (Draft sau Schiță) vor fi, de asemenea, obiecte 2D și, prin urmare, pot fi utilizate ca atare pentru Part Design.
  • Toate obiectele Arch au posibilitatea de a se comporta ca o clona (folosind proprietatea CloneOf). Dacă utilizați instrumentul Draft Clona pe un obiect Arch selectat, veți produce un astfel de obiect clonat Arch în locul unei clone Draft obișnuită.

Proprietăți

  • DATA Scale: Specifică un factor de scară opțional pentru clonă
  • DATA Fuse: Dacă această clonă utilizează mai multe obiecte, aceasta specifică dacă rezultatul este o fuziune sau o combinație introduced in version 0.17
  • Rezultatul instrumentului Draft Scale este, de asemenea, o clonă
  • Nicio schiță nu poate fi mapată pe fețetele unei clone. Aceasta este o limitare cunoscută în prezent .

Script-Programre

Instrumentul Clone poate fi folosită în macro-uri şi de la consola Python cu ajutorul funcţiei următoare:

The Clone tool can be used in macros and from the Python console by using the following function:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Face o clonă a obiectului (obiectelor) dat(e).
  • Clona este o copie exactă, legată de obiectul dat.
  • Dacă obiectul original se modifică, se schimbă și obiectul final. Opțional, puteți da un Vector delta pentru a muta clona departe de poziția inițială.

The fusion of the objects that are part of the clone can be achieved by setting its Fuse attribute to True.

Exempluː

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft PointArray.svg Point Array
Next: Drawing Draft Drawing.svg Arrow-right.svg